# DeletePrivateConnect

## 1. 接口描述

调用本接口用于删除一条二层网络专线。

{% hint style="info" %}
**注意事项**

* 删除二层网络专线将会暂停相关业务（即网络无法连通），请谨慎操作。
* 删除二层网络专线后，系统会对资源保留一段时间，保留时长详见[二层专线计费相关信息](https://docs.console.zenlayer.com/welcome/pricing/cloud-networking-pricing#deletion-2)。\
  保留的这段期间，资源的状态将变为**RECYCLED**。在此期间， 可以调用[RenewPrivateConnect](https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/private-connect/renewprivateconnect) 进行恢复。
* 本接口为异步接口，当删除二层网络的请求下发成功后，删除二层网络专线操作并未立即完成。在此期间二层网络的状态将会处于**DELETEING**，当删除成功，二层网络专线的状态将变为**RECYCLED**。
* 删除后不可再对二层网络专线进行变更操作。
* 删除后,你可以通过 [RenewPrivateConnect](https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/private-connect/renewprivateconnect) 对已删除的二层网络专线进行恢复，也可以调用[DestroyPrivateConnect](https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/private-connect/destroyprivateconnect)对处于删除的二层网络专线进行彻底销毁。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th>参数名称</th><th width="110">必选</th><th width="183">类型</th><th>描述</th></tr></thead><tbody><tr><td>privateConnectId</td><td>是</td><td>String</td><td>二层网络专线ID。</td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="136.33333333333331">参数名称</th><th width="248">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 RequestId。</p></td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 删除**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeletePrivateConnect
<Common Request Params>

Request：
{
    "privateConnectId": "your-private-connect-id"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
|         |     |    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/private-connect/deleteprivateconnect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
